Index: trunk/sources/HeuristicLab.Operators/3.3/Comparator.cs
===================================================================
--- trunk/sources/HeuristicLab.Operators/3.3/Comparator.cs	(revision 3047)
+++ trunk/sources/HeuristicLab.Operators/3.3/Comparator.cs	(revision 3048)
@@ -40,11 +40,11 @@
       get { return (ValueLookupParameter<IItem>)Parameters["RightSide"]; }
     }
-    private ValueParameter<ComparisonData> ComparisonParameter {
-      get { return (ValueParameter<ComparisonData>)Parameters["Comparison"]; }
+    private ValueParameter<Comparison> ComparisonParameter {
+      get { return (ValueParameter<Comparison>)Parameters["Comparison"]; }
     }
-    public LookupParameter<BoolData> ResultParameter {
-      get { return (LookupParameter<BoolData>)Parameters["Result"]; }
+    public LookupParameter<BoolValue> ResultParameter {
+      get { return (LookupParameter<BoolValue>)Parameters["Result"]; }
     }
-    public ComparisonData Comparison {
+    public Comparison Comparison {
       get { return ComparisonParameter.Value; }
       set { ComparisonParameter.Value = value; }
@@ -55,6 +55,6 @@
       Parameters.Add(new LookupParameter<IItem>("LeftSide", "The left side of the comparison."));
       Parameters.Add(new ValueLookupParameter<IItem>("RightSide", "The right side of the comparison."));
-      Parameters.Add(new ValueParameter<ComparisonData>("Comparison", "The type of comparison.", new ComparisonData(Data.Comparison.Equal)));
-      Parameters.Add(new LookupParameter<BoolData>("Result", "The result of the comparison."));
+      Parameters.Add(new ValueParameter<Comparison>("Comparison", "The type of comparison.", new Comparison(Data.ComparisonType.Equal)));
+      Parameters.Add(new LookupParameter<BoolValue>("Result", "The result of the comparison."));
     }
 
@@ -68,18 +68,18 @@
       bool b = false;
       switch (Comparison.Value) {
-        case HeuristicLab.Data.Comparison.Less:
+        case HeuristicLab.Data.ComparisonType.Less:
           b = i < 0; break;
-        case HeuristicLab.Data.Comparison.LessOrEqual:
+        case HeuristicLab.Data.ComparisonType.LessOrEqual:
           b = i <= 0; break;
-        case HeuristicLab.Data.Comparison.Equal:
+        case HeuristicLab.Data.ComparisonType.Equal:
           b = i == 0; break;
-        case HeuristicLab.Data.Comparison.GreaterOrEqual:
+        case HeuristicLab.Data.ComparisonType.GreaterOrEqual:
           b = i >= 0; break;
-        case HeuristicLab.Data.Comparison.Greater:
+        case HeuristicLab.Data.ComparisonType.Greater:
           b = i > 0; break;
-        case HeuristicLab.Data.Comparison.NotEqual:
+        case HeuristicLab.Data.ComparisonType.NotEqual:
           b = i != 0; break;
       }
-      ResultParameter.ActualValue = new BoolData(b);
+      ResultParameter.ActualValue = new BoolValue(b);
       return base.Apply();
     }
Index: trunk/sources/HeuristicLab.Operators/3.3/ConditionalBranch.cs
===================================================================
--- trunk/sources/HeuristicLab.Operators/3.3/ConditionalBranch.cs	(revision 3047)
+++ trunk/sources/HeuristicLab.Operators/3.3/ConditionalBranch.cs	(revision 3048)
@@ -33,6 +33,6 @@
   [StorableClass]
   public class ConditionalBranch : SingleSuccessorOperator {
-    public LookupParameter<BoolData> ConditionParameter {
-      get { return (LookupParameter<BoolData>)Parameters["Condition"]; }
+    public LookupParameter<BoolValue> ConditionParameter {
+      get { return (LookupParameter<BoolValue>)Parameters["Condition"]; }
     }
     protected OperatorParameter TrueBranchParameter {
@@ -53,5 +53,5 @@
     public ConditionalBranch()
       : base() {
-      Parameters.Add(new LookupParameter<BoolData>("Condition", "A boolean variable which defines which branch is executed."));
+      Parameters.Add(new LookupParameter<BoolValue>("Condition", "A boolean variable which defines which branch is executed."));
       Parameters.Add(new OperatorParameter("TrueBranch", "The operator which is executed if the condition is true."));
       Parameters.Add(new OperatorParameter("FalseBranch", "The operator which is executed if the condition is false."));
Index: trunk/sources/HeuristicLab.Operators/3.3/DoubleCounter.cs
===================================================================
--- trunk/sources/HeuristicLab.Operators/3.3/DoubleCounter.cs	(revision 3047)
+++ trunk/sources/HeuristicLab.Operators/3.3/DoubleCounter.cs	(revision 3048)
@@ -33,11 +33,11 @@
   [Creatable("Test")]
   public sealed class DoubleCounter : SingleSuccessorOperator {
-    public LookupParameter<DoubleData> ValueParameter {
-      get { return (LookupParameter<DoubleData>)Parameters["Value"]; }
+    public LookupParameter<DoubleValue> ValueParameter {
+      get { return (LookupParameter<DoubleValue>)Parameters["Value"]; }
     }
-    public ValueLookupParameter<DoubleData> IncrementParameter {
-      get { return (ValueLookupParameter<DoubleData>)Parameters["Increment"]; }
+    public ValueLookupParameter<DoubleValue> IncrementParameter {
+      get { return (ValueLookupParameter<DoubleValue>)Parameters["Increment"]; }
     }
-    public DoubleData Increment {
+    public DoubleValue Increment {
       get { return IncrementParameter.Value; }
       set { IncrementParameter.Value = value; }
@@ -46,10 +46,10 @@
     public DoubleCounter()
       : base() {
-      Parameters.Add(new LookupParameter<DoubleData>("Value", "The value which should be incremented."));
-      Parameters.Add(new ValueLookupParameter<DoubleData>("Increment", "The increment which is added to the value.", new DoubleData(1)));
+      Parameters.Add(new LookupParameter<DoubleValue>("Value", "The value which should be incremented."));
+      Parameters.Add(new ValueLookupParameter<DoubleValue>("Increment", "The increment which is added to the value.", new DoubleValue(1)));
     }
 
     public override IOperation Apply() {
-      if (ValueParameter.ActualValue == null) ValueParameter.ActualValue = new DoubleData();
+      if (ValueParameter.ActualValue == null) ValueParameter.ActualValue = new DoubleValue();
       ValueParameter.ActualValue.Value += IncrementParameter.ActualValue.Value;
       return base.Apply();
Index: trunk/sources/HeuristicLab.Operators/3.3/IntCounter.cs
===================================================================
--- trunk/sources/HeuristicLab.Operators/3.3/IntCounter.cs	(revision 3047)
+++ trunk/sources/HeuristicLab.Operators/3.3/IntCounter.cs	(revision 3048)
@@ -33,11 +33,11 @@
   [Creatable("Test")]
   public sealed class IntCounter : SingleSuccessorOperator {
-    public LookupParameter<IntData> ValueParameter {
-      get { return (LookupParameter<IntData>)Parameters["Value"]; }
+    public LookupParameter<IntValue> ValueParameter {
+      get { return (LookupParameter<IntValue>)Parameters["Value"]; }
     }
-    public ValueLookupParameter<IntData> IncrementParameter {
-      get { return (ValueLookupParameter<IntData>)Parameters["Increment"]; }
+    public ValueLookupParameter<IntValue> IncrementParameter {
+      get { return (ValueLookupParameter<IntValue>)Parameters["Increment"]; }
     }
-    public IntData Increment {
+    public IntValue Increment {
       get { return IncrementParameter.Value; }
       set { IncrementParameter.Value = value; }
@@ -46,10 +46,10 @@
     public IntCounter()
       : base() {
-      Parameters.Add(new LookupParameter<IntData>("Value", "The value which should be incremented."));
-      Parameters.Add(new ValueLookupParameter<IntData>("Increment", "The increment which is added to the value.", new IntData(1)));
+      Parameters.Add(new LookupParameter<IntValue>("Value", "The value which should be incremented."));
+      Parameters.Add(new ValueLookupParameter<IntValue>("Increment", "The increment which is added to the value.", new IntValue(1)));
     }
 
     public override IOperation Apply() {
-      if (ValueParameter.ActualValue == null) ValueParameter.ActualValue = new IntData();
+      if (ValueParameter.ActualValue == null) ValueParameter.ActualValue = new IntValue();
       ValueParameter.ActualValue.Value += IncrementParameter.ActualValue.Value;
       return base.Apply();
Index: trunk/sources/HeuristicLab.Operators/3.3/StochasticBranch.cs
===================================================================
--- trunk/sources/HeuristicLab.Operators/3.3/StochasticBranch.cs	(revision 3047)
+++ trunk/sources/HeuristicLab.Operators/3.3/StochasticBranch.cs	(revision 3048)
@@ -36,6 +36,6 @@
       get { return (LookupParameter<IRandom>)Parameters["Random"]; }
     }
-    public ValueLookupParameter<DoubleData> ProbabilityParameter {
-      get { return (ValueLookupParameter<DoubleData>)Parameters["Probability"]; }
+    public ValueLookupParameter<DoubleValue> ProbabilityParameter {
+      get { return (ValueLookupParameter<DoubleValue>)Parameters["Probability"]; }
     }
     protected OperatorParameter FirstBranchParameter {
@@ -57,5 +57,5 @@
       : base() {
       Parameters.Add(new LookupParameter<IRandom>("Random", "A pseudo random number generator."));
-      Parameters.Add(new ValueLookupParameter<DoubleData>("Probability", "The probability to execute the first branch."));
+      Parameters.Add(new ValueLookupParameter<DoubleValue>("Probability", "The probability to execute the first branch."));
       Parameters.Add(new OperatorParameter("FirstBranch", "The operator which is executed with the given probability."));
       Parameters.Add(new OperatorParameter("SecondBranch", "The operator which is executed if the first branch is not executed."));
Index: trunk/sources/HeuristicLab.Operators/3.3/SubScopesCreator.cs
===================================================================
--- trunk/sources/HeuristicLab.Operators/3.3/SubScopesCreator.cs	(revision 3047)
+++ trunk/sources/HeuristicLab.Operators/3.3/SubScopesCreator.cs	(revision 3048)
@@ -33,6 +33,6 @@
   [Creatable("Test")]
   public class SubScopesCreator : SingleSuccessorOperator {
-    public ValueLookupParameter<IntData> NumberOfSubScopesParameter {
-      get { return (ValueLookupParameter<IntData>)Parameters["NumberOfSubScopes"]; }
+    public ValueLookupParameter<IntValue> NumberOfSubScopesParameter {
+      get { return (ValueLookupParameter<IntValue>)Parameters["NumberOfSubScopes"]; }
     }
     protected ScopeParameter CurrentScopeParameter {
@@ -45,5 +45,5 @@
     public SubScopesCreator()
       : base() {
-      Parameters.Add(new ValueLookupParameter<IntData>("NumberOfSubScopes", "The number of new and empty sub-scopes which should be added to the current scope."));
+      Parameters.Add(new ValueLookupParameter<IntValue>("NumberOfSubScopes", "The number of new and empty sub-scopes which should be added to the current scope."));
       Parameters.Add(new ScopeParameter("CurrentScope", "The current scope to which the new and empty sub-scopes are added."));
     }
Index: trunk/sources/HeuristicLab.Operators/3.3/SubScopesRemover.cs
===================================================================
--- trunk/sources/HeuristicLab.Operators/3.3/SubScopesRemover.cs	(revision 3047)
+++ trunk/sources/HeuristicLab.Operators/3.3/SubScopesRemover.cs	(revision 3048)
@@ -33,9 +33,9 @@
   [Creatable("Test")]
   public sealed class SubScopesRemover : SingleSuccessorOperator {
-    private ValueParameter<BoolData> RemoveAllSubScopesParameter {
-      get { return (ValueParameter<BoolData>)Parameters["RemoveAllSubScopes"]; }
+    private ValueParameter<BoolValue> RemoveAllSubScopesParameter {
+      get { return (ValueParameter<BoolValue>)Parameters["RemoveAllSubScopes"]; }
     }
-    public ValueLookupParameter<IntData> SubScopeIndexParameter {
-      get { return (ValueLookupParameter<IntData>)Parameters["SubScopeIndex"]; }
+    public ValueLookupParameter<IntValue> SubScopeIndexParameter {
+      get { return (ValueLookupParameter<IntValue>)Parameters["SubScopeIndex"]; }
     }
     private ScopeParameter CurrentScopeParameter {
@@ -53,6 +53,6 @@
     public SubScopesRemover()
       : base() {
-      Parameters.Add(new ValueParameter<BoolData>("RemoveAllSubScopes", "True if all sub-scopes of the current scope should be removed, otherwise false.", new BoolData(true)));
-      Parameters.Add(new ValueLookupParameter<IntData>("SubScopeIndex", "The index of the sub-scope which should be removed. This parameter is ignored, if RemoveAllSubScopes is true."));
+      Parameters.Add(new ValueParameter<BoolValue>("RemoveAllSubScopes", "True if all sub-scopes of the current scope should be removed, otherwise false.", new BoolValue(true)));
+      Parameters.Add(new ValueLookupParameter<IntValue>("SubScopeIndex", "The index of the sub-scope which should be removed. This parameter is ignored, if RemoveAllSubScopes is true."));
       Parameters.Add(new ScopeParameter("CurrentScope", "The current scope from which one or all sub-scopes should be removed."));
     }
Index: trunk/sources/HeuristicLab.Operators/3.3/SubScopesSorter.cs
===================================================================
--- trunk/sources/HeuristicLab.Operators/3.3/SubScopesSorter.cs	(revision 3047)
+++ trunk/sources/HeuristicLab.Operators/3.3/SubScopesSorter.cs	(revision 3048)
@@ -36,9 +36,9 @@
     private string actualName;
 
-    public SubScopesLookupParameter<DoubleData> ValueParameter {
-      get { return (SubScopesLookupParameter<DoubleData>)Parameters["Value"]; }
+    public SubScopesLookupParameter<DoubleValue> ValueParameter {
+      get { return (SubScopesLookupParameter<DoubleValue>)Parameters["Value"]; }
     }
-    public ValueLookupParameter<BoolData> DescendingParameter {
-      get { return (ValueLookupParameter<BoolData>)Parameters["Descending"]; }
+    public ValueLookupParameter<BoolValue> DescendingParameter {
+      get { return (ValueLookupParameter<BoolValue>)Parameters["Descending"]; }
     }
     private ScopeParameter CurrentScopeParameter {
@@ -51,6 +51,6 @@
     public SubScopesSorter()
       : base() {
-      Parameters.Add(new SubScopesLookupParameter<DoubleData>("Value", "The values contained in each sub-scope acording which the sub-scopes of the current scope are sorted."));
-      Parameters.Add(new ValueLookupParameter<BoolData>("Descending", "True if the sub-scopes should be sorted in descending order, otherwise false."));
+      Parameters.Add(new SubScopesLookupParameter<DoubleValue>("Value", "The values contained in each sub-scope acording which the sub-scopes of the current scope are sorted."));
+      Parameters.Add(new ValueLookupParameter<BoolValue>("Descending", "True if the sub-scopes should be sorted in descending order, otherwise false."));
       Parameters.Add(new ScopeParameter("CurrentScope", "The current scope whose sub-scopes are sorted."));
     }
@@ -58,5 +58,5 @@
     public override IOperation Apply() {
       descending = DescendingParameter.ActualValue.Value;
-      actualName = LookupParameter<ItemArray<DoubleData>>.TranslateName(ValueParameter.Name, ExecutionContext);
+      actualName = LookupParameter<ItemArray<DoubleValue>>.TranslateName(ValueParameter.Name, ExecutionContext);
       CurrentScope.SubScopes.Sort(SortScopes);
       return base.Apply();
@@ -75,5 +75,5 @@
         return -1;
       else {
-        int result = ((DoubleData)var1.Value).CompareTo((DoubleData)var2.Value);
+        int result = ((DoubleValue)var1.Value).CompareTo((DoubleValue)var2.Value);
         if (descending) result = result * -1;
         return result;
Index: trunk/sources/HeuristicLab.Optimization.Operators/3.3/ChildrenCreator.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimization.Operators/3.3/ChildrenCreator.cs	(revision 3047)
+++ trunk/sources/HeuristicLab.Optimization.Operators/3.3/ChildrenCreator.cs	(revision 3048)
@@ -43,11 +43,11 @@
       get { return (ScopeParameter)Parameters["CurrentScope"]; }
     }
-    public ValueLookupParameter<IntData> ParentsPerChildParameter {
-      get { return (ValueLookupParameter<IntData>)Parameters["ParentsPerChild"]; }
+    public ValueLookupParameter<IntValue> ParentsPerChildParameter {
+      get { return (ValueLookupParameter<IntValue>)Parameters["ParentsPerChild"]; }
     }
     public IScope CurrentScope {
       get { return CurrentScopeParameter.ActualValue; }
     }
-    public IntData ParentsPerChild {
+    public IntValue ParentsPerChild {
       get { return ParentsPerChildParameter.Value; }
       set { ParentsPerChildParameter.Value = value; }
@@ -57,5 +57,5 @@
       : base() {
       Parameters.Add(new ScopeParameter("CurrentScope", "The current scope whose sub-scopes represent the parents."));
-      Parameters.Add(new ValueLookupParameter<IntData>("ParentsPerChild", "The number of parents that should be crossed per child. Note that some of the typical crossover operators require exactly two parents.", new IntData(2)));
+      Parameters.Add(new ValueLookupParameter<IntValue>("ParentsPerChild", "The number of parents that should be crossed per child. Note that some of the typical crossover operators require exactly two parents.", new IntValue(2)));
     }
 
Index: trunk/sources/HeuristicLab.Optimization.Operators/3.3/SolutionsCreator.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimization.Operators/3.3/SolutionsCreator.cs	(revision 3047)
+++ trunk/sources/HeuristicLab.Optimization.Operators/3.3/SolutionsCreator.cs	(revision 3048)
@@ -35,6 +35,6 @@
   [Creatable("Test")]
   public sealed class SolutionsCreator : SingleSuccessorOperator {
-    public ValueLookupParameter<IntData> NumberOfSolutionsParameter {
-      get { return (ValueLookupParameter<IntData>)Parameters["NumberOfSolutions"]; }
+    public ValueLookupParameter<IntValue> NumberOfSolutionsParameter {
+      get { return (ValueLookupParameter<IntValue>)Parameters["NumberOfSolutions"]; }
     }
     public ValueLookupParameter<IOperator> SolutionCreatorParameter {
@@ -50,5 +50,5 @@
       get { return CurrentScopeParameter.ActualValue; }
     }
-    public IntData NumberOfSolutions {
+    public IntValue NumberOfSolutions {
       get { return NumberOfSolutionsParameter.Value; }
       set { NumberOfSolutionsParameter.Value = value; }
@@ -57,5 +57,5 @@
     public SolutionsCreator()
       : base() {
-      Parameters.Add(new ValueLookupParameter<IntData>("NumberOfSolutions", "The number of solutions that should be created."));
+      Parameters.Add(new ValueLookupParameter<IntValue>("NumberOfSolutions", "The number of solutions that should be created."));
       Parameters.Add(new ValueLookupParameter<IOperator>("SolutionCreator", "The operator which is used to create new solutions."));
       Parameters.Add(new ValueLookupParameter<IOperator>("Evaluator", "The operator which is used to evaluate new solutions."));
Index: trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/IMoveMaker.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/IMoveMaker.cs	(revision 3047)
+++ trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/IMoveMaker.cs	(revision 3048)
@@ -25,6 +25,6 @@
 namespace HeuristicLab.Optimization {
   public interface IMoveMaker : IOperator {
-    ILookupParameter<DoubleData> QualityParameter { get; }
-    ILookupParameter<DoubleData> MoveQualityParameter { get; }
+    ILookupParameter<DoubleValue> QualityParameter { get; }
+    ILookupParameter<DoubleValue> MoveQualityParameter { get; }
   }
 }
Index: trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/IMultiObjectiveEvaluator.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/IMultiObjectiveEvaluator.cs	(revision 3047)
+++ trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/IMultiObjectiveEvaluator.cs	(revision 3048)
@@ -28,5 +28,5 @@
   /// </summary>
   public interface IMultiObjectiveEvaluator : IEvaluator {
-    ILookupParameter<DoubleArrayData> QualitiesParameter { get; }
+    ILookupParameter<DoubleArray> QualitiesParameter { get; }
   }
 }
Index: trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/IMultiObjectiveSelector.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/IMultiObjectiveSelector.cs	(revision 3047)
+++ trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/IMultiObjectiveSelector.cs	(revision 3048)
@@ -28,5 +28,5 @@
   /// </summary>
   public interface IMultiObjectiveSelector : ISelector {
-    ILookupParameter<ItemArray<DoubleArrayData>> QualitiesParameter { get; }
+    ILookupParameter<ItemArray<DoubleArray>> QualitiesParameter { get; }
   }
 }
Index: trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/ISelector.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/ISelector.cs	(revision 3047)
+++ trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/ISelector.cs	(revision 3048)
@@ -28,6 +28,6 @@
   /// </summary>
   public interface ISelector : IOperator {
-    BoolData CopySelected { get; set; }
-    IValueLookupParameter<IntData> NumberOfSelectedSubScopesParameter { get; }
+    BoolValue CopySelected { get; set; }
+    IValueLookupParameter<IntValue> NumberOfSelectedSubScopesParameter { get; }
   }
 }
Index: trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectiveEvaluator.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectiveEvaluator.cs	(revision 3047)
+++ trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectiveEvaluator.cs	(revision 3048)
@@ -28,5 +28,5 @@
   /// </summary>
   public interface ISingleObjectiveEvaluator : IEvaluator {
-    ILookupParameter<DoubleData> QualityParameter { get; }
+    ILookupParameter<DoubleValue> QualityParameter { get; }
   }
 }
Index: trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectiveMoveEvaluator.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectiveMoveEvaluator.cs	(revision 3047)
+++ trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectiveMoveEvaluator.cs	(revision 3048)
@@ -26,6 +26,6 @@
 namespace HeuristicLab.Optimization {
   public interface ISingleObjectiveMoveEvaluator : IOperator {
-    ILookupParameter<DoubleData> QualityParameter { get; }
-    ILookupParameter<DoubleData> MoveQualityParameter { get; }
+    ILookupParameter<DoubleValue> QualityParameter { get; }
+    ILookupParameter<DoubleValue> MoveQualityParameter { get; }
   }
 }
Index: trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectiveSelector.cs
===================================================================
--- trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectiveSelector.cs	(revision 3047)
+++ trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/ISingleObjectiveSelector.cs	(revision 3048)
@@ -28,6 +28,6 @@
   /// </summary>
   public interface ISingleObjectiveSelector : ISelector {
-    IValueLookupParameter<BoolData> MaximizationParameter { get; }
-    ILookupParameter<ItemArray<DoubleData>> QualityParameter { get; }
+    IValueLookupParameter<BoolValue> MaximizationParameter { get; }
+    ILookupParameter<ItemArray<DoubleValue>> QualityParameter { get; }
   }
 }
Index: trunk/sources/HeuristicLab.Problems.TSP/3.3/Evaluators/TSPCoordinatesPathEvaluator.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.TSP/3.3/Evaluators/TSPCoordinatesPathEvaluator.cs	(revision 3047)
+++ trunk/sources/HeuristicLab.Problems.TSP/3.3/Evaluators/TSPCoordinatesPathEvaluator.cs	(revision 3048)
@@ -36,6 +36,6 @@
       get { return (ILookupParameter<Permutation>)Parameters["Permutation"]; }
     }
-    public ILookupParameter<DoubleMatrixData> CoordinatesParameter {
-      get { return (ILookupParameter<DoubleMatrixData>)Parameters["Coordinates"]; }
+    public ILookupParameter<DoubleMatrix> CoordinatesParameter {
+      get { return (ILookupParameter<DoubleMatrix>)Parameters["Coordinates"]; }
     }
 
@@ -43,10 +43,10 @@
       : base() {
       Parameters.Add(new LookupParameter<Permutation>("Permutation", "The TSP solution given in path representation which should be evaluated."));
-      Parameters.Add(new LookupParameter<DoubleMatrixData>("Coordinates", "The x- and y-Coordinates of the cities."));
+      Parameters.Add(new LookupParameter<DoubleMatrix>("Coordinates", "The x- and y-Coordinates of the cities."));
     }
 
     public sealed override IOperation Apply() {
       Permutation p = PermutationParameter.ActualValue;
-      DoubleMatrixData c = CoordinatesParameter.ActualValue;
+      DoubleMatrix c = CoordinatesParameter.ActualValue;
 
       double length = 0;
@@ -54,5 +54,5 @@
         length += CalculateDistance(c[p[i], 0], c[p[i], 1], c[p[i + 1], 0], c[p[i + 1], 1]);
       length += CalculateDistance(c[p[p.Length - 1], 0], c[p[p.Length - 1], 1], c[p[0], 0], c[p[0], 1]);
-      QualityParameter.ActualValue = new DoubleData(length);
+      QualityParameter.ActualValue = new DoubleValue(length);
 
       return base.Apply();
Index: trunk/sources/HeuristicLab.Problems.TSP/3.3/Evaluators/TSPDistanceMatrixPathEvaluator.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.TSP/3.3/Evaluators/TSPDistanceMatrixPathEvaluator.cs	(revision 3047)
+++ trunk/sources/HeuristicLab.Problems.TSP/3.3/Evaluators/TSPDistanceMatrixPathEvaluator.cs	(revision 3048)
@@ -37,6 +37,6 @@
       get { return (ILookupParameter<Permutation>)Parameters["Permutation"]; }
     }
-    public ILookupParameter<DoubleMatrixData> DistanceMatrixParameter {
-      get { return (ILookupParameter<DoubleMatrixData>)Parameters["DistanceMatrix"]; }
+    public ILookupParameter<DoubleMatrix> DistanceMatrixParameter {
+      get { return (ILookupParameter<DoubleMatrix>)Parameters["DistanceMatrix"]; }
     }
 
@@ -44,10 +44,10 @@
       : base() {
       Parameters.Add(new LookupParameter<Permutation>("Permutation", "The TSP solution given in path representation which should be evaluated."));
-      Parameters.Add(new LookupParameter<DoubleMatrixData>("DistanceMatrix", "The distance matrix of the cities."));
+      Parameters.Add(new LookupParameter<DoubleMatrix>("DistanceMatrix", "The distance matrix of the cities."));
     }
 
     public sealed override IOperation Apply() {
       Permutation p = PermutationParameter.ActualValue;
-      DoubleMatrixData d = DistanceMatrixParameter.ActualValue;
+      DoubleMatrix d = DistanceMatrixParameter.ActualValue;
 
       double length = 0;
@@ -55,5 +55,5 @@
         length += d[p[i], p[i + 1]];
       length += d[p[p.Length - 1], p[0]];
-      QualityParameter.ActualValue = new DoubleData(length);
+      QualityParameter.ActualValue = new DoubleValue(length);
 
       return base.Apply();
Index: trunk/sources/HeuristicLab.Problems.TSP/3.3/Evaluators/TSPEvaluator.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.TSP/3.3/Evaluators/TSPEvaluator.cs	(revision 3047)
+++ trunk/sources/HeuristicLab.Problems.TSP/3.3/Evaluators/TSPEvaluator.cs	(revision 3048)
@@ -33,11 +33,11 @@
   [StorableClass]
   public abstract class TSPEvaluator : SingleSuccessorOperator, ITSPEvaluator {
-    public ILookupParameter<DoubleData> QualityParameter {
-      get { return (ILookupParameter<DoubleData>)Parameters["Quality"]; }
+    public ILookupParameter<DoubleValue> QualityParameter {
+      get { return (ILookupParameter<DoubleValue>)Parameters["Quality"]; }
     }
 
     protected TSPEvaluator()
       : base() {
-      Parameters.Add(new LookupParameter<DoubleData>("Quality", "The evaluated quality of the TSP solution."));
+      Parameters.Add(new LookupParameter<DoubleValue>("Quality", "The evaluated quality of the TSP solution."));
     }
   }
Index: trunk/sources/HeuristicLab.Problems.TSP/3.3/Interfaces/ITSPCoordinatesPathEvaluator.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.TSP/3.3/Interfaces/ITSPCoordinatesPathEvaluator.cs	(revision 3047)
+++ trunk/sources/HeuristicLab.Problems.TSP/3.3/Interfaces/ITSPCoordinatesPathEvaluator.cs	(revision 3048)
@@ -28,5 +28,5 @@
   /// </summary>
   public interface ITSPCoordinatesPathEvaluator : ITSPPathEvaluator {
-    ILookupParameter<DoubleMatrixData> CoordinatesParameter { get; }
+    ILookupParameter<DoubleMatrix> CoordinatesParameter { get; }
   }
 }
Index: trunk/sources/HeuristicLab.Problems.TSP/3.3/Interfaces/ITSPDistanceMatrixPathEvaluator.cs
===================================================================
--- trunk/sources/HeuristicLab.Problems.TSP/3.3/Interfaces/ITSPDistanceMatrixPathEvaluator.cs	(revision 3047)
+++ trunk/sources/HeuristicLab.Problems.TSP/3.3/Interfaces/ITSPDistanceMatrixPathEvaluator.cs	(revision 3048)
@@ -28,5 +28,5 @@
   /// </summary>
   public interface ITSPDistanceMatrixPathEvaluator : ITSPPathEvaluator {
-    ILookupParameter<DoubleMatrixData> DistanceMatrixParameter { get; }
+    ILookupParameter<DoubleMatrix> DistanceMatrixParameter { get; }
   }
 }
